Bug 1809831 - Firefox outdated (72.0.2) on Fedora 32 due to multiple build failures
Summary: Firefox outdated (72.0.2) on Fedora 32 due to multiple build failures
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 32
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On:
Blocks: F32BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2020-03-04 00:59 UTC by Adam Williamson
Modified: 2020-03-10 01:56 UTC (History)
14 users (show)

Fixed In Version: firefox-74.0-1.nss.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-10 01:56:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2020-03-04 00:59:02 UTC
AFAICS, every Firefox build for F32 or Rawhide since firefox-72.0.2-3.fc32 has failed. So that's still the version F32 (and Rawhide) are stuck on.

We have the Beta release upcoming, so this is both a bad look and a practical issue, as there were security fixes in 73.0 that we're missing.

I'm proposing this as a Beta freeze exception: if we can get a build through before Beta, and it tests out okay, I think we should include it in the Beta so we don't look bad and potentially leave Beta users using a less-than-perfectly-secure browser to access the internet. That's the purpose of this bug - it's not a bug *for* any one specific build failure, it's a freeze exception bug for 'getting a newer Firefox build in the Beta if we can'.

Comment 1 Martin Stransky 2020-03-04 08:52:46 UTC
Firefox 74 is going to be released on 2020-03-10 and we work on the builds now (https://koji.fedoraproject.org/koji/buildinfo?buildID=1473376).
But that builds will use in-tree nss as we're missing up-to-date nss for Fedora 32 (https://bugzilla.mozilla.org/show_bug.cgi?id=1615557).

Comment 2 Martin Stransky 2020-03-04 08:55:00 UTC
(In reply to Martin Stransky from comment #1)
> But that builds will use in-tree nss as we're missing up-to-date nss for
> Fedora 32 (https://bugzilla.mozilla.org/show_bug.cgi?id=1615557).

Btw. That bug was posted to me by Daiki (nss maintainer), I'm not sure how is that related to Fedora 32 nss builds.

Comment 3 Martin Stransky 2020-03-04 08:56:44 UTC
Ahh, I see that nss team manage to build nss 3.50 for rawhide:
https://koji.fedoraproject.org/koji/packageinfo?packageID=248
so there's a chance to have nss for other fedoras soon.

Comment 4 Martin Stransky 2020-03-04 15:14:13 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=42179399 is coming.

Comment 5 Fedora Update System 2020-03-05 20:17:24 UTC
FEDORA-2020-0db6047b9e has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-0db6047b9e

Comment 6 Kalev Lember 2020-03-05 22:17:05 UTC
+1 FE

Comment 7 Geoffrey Marr 2020-03-10 00:54:37 UTC
Discussed during the 2020-03-09 blocker review meeting: [0]

The decision to classify this bug as an "AcceptedFreezeException" was made as it is a noticeable issue that cannot be fixed with an update.

[0] https://meetbot.fedoraproject.org/fedora-blocker-review/2020-03-09/f32-blocker-review.2020-03-09-16.01.txt

Comment 8 Fedora Update System 2020-03-10 01:56:21 UTC
firefox-74.0-1.nss.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.